#!/bin/bash
#
# Last update: 2017.11.24

unlink /backup/cpbackup/daily
ln -s /backup/`date +%F --date="-1 day"`/accounts /backup/cpbackup/daily
/scripts/postcpbackup

NAS_Server="10.100.2.36"
LoginID="cp28"

BackupDIR="/backup/`date +%F --date="-1 day"`/accounts/"
SysBackupDIR="/backup/`date +%F --date="-1 day"`/system/"
LocalBackupDIR="/backup/cpbackup/accounts/"
LocalSysBackupDIR="/backup/cpbackup/system/"

day=`date +%w --date="-1 day"`
week=$((`date +%-W` % 5))
logpath="/usr/local/cpanel/logs/cpbackup/"
log=`date +%Y%m%d`
DATE_14_AGO=`date --date='14 days ago' +"%Y%m%d"`

/bin/rm -f $logpath/$DATE_14_AGO.prebackup.log 2> /dev/null

if [ $day == 1 ] || [ $day == 4 ]; then

        /usr/bin/rsync -rvlHpDtP --del --ignore-errors --exclude-from=/root/exclude_list.txt --delete-excluded $BackupDIR $LocalBackupDIR/day_14/  >> $logpath/$log.prebackup.log
        /usr/bin/rsync -rvlHpDtP --del --ignore-errors --password-file=/root/rsyncd.secrets $SysBackupDIR $LoginID@$NAS_Server::$LoginID/system/day_14/  >> $logpath/$log.prebackup.log

elif [ $day == 2 ] || [ $day == 5 ]; then

        /usr/bin/rsync -rvlHpDtP --del --ignore-errors --exclude-from=/root/exclude_list.txt --delete-excluded $BackupDIR $LocalBackupDIR/day_25/  >> $logpath/$log.prebackup.log
        /usr/bin/rsync -rvlHpDtP --del --ignore-errors --password-file=/root/rsyncd.secrets $SysBackupDIR $LoginID@$NAS_Server::$LoginID/system/day_25/  >> $logpath/$log.prebackup.log

elif [ $day == 3 ] || [ $day == 6 ]; then

        /usr/bin/rsync -rvlHpDtP --del --ignore-errors --exclude-from=/root/exclude_list.txt --delete-excluded $BackupDIR $LocalBackupDIR/day_36/  >> $logpath/$log.prebackup.log
        /usr/bin/rsync -rvlHpDtP --del --ignore-errors --password-file=/root/rsyncd.secrets $SysBackupDIR $LoginID@$NAS_Server::$LoginID/system/day_36/  >> $logpath/$log.prebackup.log

elif [ $day == 0 ]; then

        if [ $week == 0 ]; then

                /usr/bin/rsync -rvlHpDtP --del --ignore-errors $LocalBackupDIR/monthly/ $LocalBackupDIR/monthly2/  >> $logpath/$log.prebackup.log
                /usr/bin/rsync -rvlHpDtP --del --ignore-errors --password-file=/root/rsyncd.secrets $LocalSysBackupDIR/monthly/ $LoginID@$NAS_Server::$LoginID/system/monthly2/  >> $logpath/$log.prebackup.log

                /usr/bin/rsync -rvlHpDtP --del --ignore-errors $BackupDIR $LocalBackupDIR/monthly/  >> $logpath/$log.prebackup.log
                /usr/bin/rsync -rvlHpDtP --del --ignore-errors --password-file=/root/rsyncd.secrets $SysBackupDIR $LoginID@$NAS_Server::$LoginID/system/monthly/  >> $logpath/$log.prebackup.log

        elif [ $week != 0 ]; then

				if [ $week == 1 ] || [ $week == 3 ]; then

					/usr/bin/rsync -rvlHpDtP --del --ignore-errors --exclude-from=/root/exclude_list.txt --delete-excluded $BackupDIR $LocalBackupDIR/weekly_13/  >> $logpath/$log.prebackup.log
				        /usr/bin/rsync -rvlHpDtP --del --ignore-errors --password-file=/root/rsyncd.secrets $SysBackupDIR $LoginID@$NAS_Server::$LoginID/system/weekly_13/  >> $logpath/$log.prebackup.log

	
				elif [ $week == 2 ] || [ $week == 4 ]; then
				
					/usr/bin/rsync -rvlHpDtP --del --ignore-errors --exclude-from=/root/exclude_list.txt --delete-excluded $BackupDIR $LocalBackupDIR/weekly_24/  >> $logpath/$log.prebackup.log
				        /usr/bin/rsync -rvlHpDtP --del --ignore-errors --password-file=/root/rsyncd.secrets $SysBackupDIR $LoginID@$NAS_Server::$LoginID/system/weekly_24/  >> $logpath/$log.prebackup.log

				fi
        fi
		
fi
